import { colors } from './colors';

export const nodes = [];
export const links = [];

const MAIN_NODE_SIZE = 40;
const CHILD_NODE_SIZE = 15;

// To add the parent nodes
let i=0;
const addMainNode = (node) => {
  node.size = MAIN_NODE_SIZE;
  node.color = colors[i][2];
  nodes.push(node);
};
// To add the child nodes 
const addChildNode = (
  parentNode,
  childNode,
) => {
  childNode.size = CHILD_NODE_SIZE;
	childNode.color = colors[i+2][1];
  nodes.push(childNode);
  links.push({
    source: parentNode,
    target: childNode,
  });
};

let parentNode = { id: 'Ramana'};

addMainNode(parentNode);
const childNode = { id:'Jaggu'};

addChildNode(parentNode,childNode);
addChildNode(childNode, { id:'Usha'});
addChildNode(childNode, { id:'Vyshnavi'});
addChildNode(parentNode, {id:'Sonu'});
addChildNode(parentNode, {id:'Anu'});
addChildNode(parentNode, {id:'Vinay'});
